This queue is for tickets about the CPAN CPAN distribution.

Report information
The Basics
Id:
106610
Status:
new
Priority:
Low/Low
Queue:

People
Owner:
Nobody in particular
Requestors:
kes-kes [...] yandex.ru
Cc:
AdminCc:

BugTracker
Severity:
(no value)
Broken in:
(no value)
Fixed in:
(no value)



Subject: Can not install locally
env | grep PERL PERL5LIB=/home/feelsafe/perl5/lib/perl5 PERL_MB_OPT=--install_base "/home/feelsafe/perl5" PERL_LOCAL_LIB_ROOT=/home/feelsafe/perl5 PERL_MM_OPT=INSTALL_BASE=/home/feelsafe/perl5 and running: cpan or perl -MCPAN -e shell cause next error: Result: PASS VINCENT/Plack-Middleware-Debug-Ajax-0.02.tar.gz /usr/bin/make test -- OK Running make install !!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!! ERROR: Can't create '/usr/local/man/man3' Do not have write permissions on '/usr/local/man/man3' !!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!! at -e line 1. Makefile:707: recipe for target 'pure_site_install' failed make: *** [pure_site_install] Error 13 VINCENT/Plack-Middleware-Debug-Ajax-0.02.tar.gz /usr/bin/make install -- NOT OK ---- You may have to su to root to install the package (Or you may want to run something like o conf make_install_make_command 'sudo make' to raise your permissions.Failed during this command: DAGOLDEN/Sub-Uplevel-0.25.tar.gz : install NO EXODIST/Test-Exception-0.40.tar.gz : install NO VINCENT/Plack-Middleware-Debug-Ajax-0.02.tar.gz: install NO uname -a Linux host 3.16.0-4-amd64 #1 SMP Debian 3.16.7-ckt11-1 (2015-05-24) x86_64 GNU/Linux It looks that CPAN do not use PERL5LIB env variable while installing man pages


This service runs on Request Tracker, is sponsored by The Perl Foundation, and maintained by Best Practical Solutions.

Please report any issues with rt.cpan.org to rt-cpan-admin@bestpractical.com.